# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`github_actions_runner`](#github_actions_runner): Manages actions_runner service and configuration

### Defined types

* [`github_actions_runner::instance`](#github_actions_runner--instance): Configure and deploy actions runners instances

## Classes

### <a name="github_actions_runner"></a>`github_actions_runner`

Manages actions_runner service and configuration

#### Parameters

The following parameters are available in the `github_actions_runner` class:

* [`ensure`](#-github_actions_runner--ensure)
* [`base_dir_name`](#-github_actions_runner--base_dir_name)
* [`org_name`](#-github_actions_runner--org_name)
* [`enterprise_name`](#-github_actions_runner--enterprise_name)
* [`personal_access_token`](#-github_actions_runner--personal_access_token)
* [`package_name`](#-github_actions_runner--package_name)
* [`package_ensure`](#-github_actions_runner--package_ensure)
* [`repository_url`](#-github_actions_runner--repository_url)
* [`user`](#-github_actions_runner--user)
* [`group`](#-github_actions_runner--group)
* [`instances`](#-github_actions_runner--instances)
* [`github_domain`](#-github_actions_runner--github_domain)
* [`github_api`](#-github_actions_runner--github_api)
* [`http_proxy`](#-github_actions_runner--http_proxy)
* [`https_proxy`](#-github_actions_runner--https_proxy)
* [`no_proxy`](#-github_actions_runner--no_proxy)
* [`disable_update`](#-github_actions_runner--disable_update)
* [`path`](#-github_actions_runner--path)
* [`env`](#-github_actions_runner--env)

##### <a name="-github_actions_runner--ensure"></a>`ensure`

Data type: `Enum['present', 'absent']`

Determine if to add or remove the resource.

Default value: `'present'`

##### <a name="-github_actions_runner--base_dir_name"></a>`base_dir_name`

Data type: `Stdlib::Absolutepath`

Location of the base directory for actions runner to be installed.

Default value: `'/some_dir/actions-runner'`

##### <a name="-github_actions_runner--org_name"></a>`org_name`

Data type: `Optional[String[1]]`

actions runner org name.

Default value: `undef`

##### <a name="-github_actions_runner--enterprise_name"></a>`enterprise_name`

Data type: `Optional[String[1]]`

enterprise name for global runners

Default value: `undef`

##### <a name="-github_actions_runner--personal_access_token"></a>`personal_access_token`

Data type: `String[1]`

GitHub PAT with admin permission on the repositories or the origanization.

Default value: `'PAT'`

##### <a name="-github_actions_runner--package_name"></a>`package_name`

Data type: `String[1]`

GitHub Actions runner offical package name.

Default value: `$facts['os']['architecture'] ? { /x86_64|amd64/ => 'actions-runner-linux-x64', 'aarch64' => 'actions-runner-linux-arm64'`

##### <a name="-github_actions_runner--package_ensure"></a>`package_ensure`

Data type: `String[1]`

GitHub Actions runner version to be used.

Default value: `'2.319.1'`

##### <a name="-github_actions_runner--repository_url"></a>`repository_url`

Data type: `String[1]`

URL to download GitHub actions runner.

Default value: `'https://github.com/actions/runner/releases/download'`

##### <a name="-github_actions_runner--user"></a>`user`

Data type: `String[1]`

User to be used in Service and directories.

Default value: `'root'`

##### <a name="-github_actions_runner--group"></a>`group`

Data type: `String[1]`

Group to be used in Service and directories.

Default value: `'root'`

##### <a name="-github_actions_runner--instances"></a>`instances`

Data type: `Hash[String[1], Hash]`

Github Runner Instances to be managed.

Default value: `{}`

##### <a name="-github_actions_runner--github_domain"></a>`github_domain`

Data type: `String[1]`

Base URL for Github Domain.

Default value: `'https://github.com'`

##### <a name="-github_actions_runner--github_api"></a>`github_api`

Data type: `String[1]`

Base URL for Github API.

Default value: `'https://api.github.com'`

##### <a name="-github_actions_runner--http_proxy"></a>`http_proxy`

Data type: `Optional[String[1]]`

Proxy URL for HTTP traffic. More information at https://docs.github.com/en/actions/hosting-your-own-runners/using-a-proxy-server-with-self-hosted-runners.

Default value: `undef`

##### <a name="-github_actions_runner--https_proxy"></a>`https_proxy`

Data type: `Optional[String[1]]`

Proxy URL for HTTPS traffic. More information at https://docs.github.com/en/actions/hosting-your-own-runners/using-a-proxy-server-with-self-hosted-runners

Default value: `undef`

##### <a name="-github_actions_runner--no_proxy"></a>`no_proxy`

Data type: `Optional[String[1]]`

Comma separated list of hosts that should not use a proxy. More information at https://docs.github.com/en/actions/hosting-your-own-runners/using-a-proxy-server-with-self-hosted-runners

Default value: `undef`

##### <a name="-github_actions_runner--disable_update"></a>`disable_update`

Data type: `Boolean`

toggle for disabling automatic runner updates.

Default value: `false`

##### <a name="-github_actions_runner--path"></a>`path`

Data type: `Optional[Array[String]]`

List of paths to be used as PATH env in the instance runner. If not defined, file ".path" will be kept as created by the runner scripts. Default value: undef

Default value: `undef`

##### <a name="-github_actions_runner--env"></a>`env`

Data type: `Optional[Hash[String, String]]`

List of variables to be used as env variables in the instance runner. If not defined, file ".env" will be kept as created by the runner scripts. (Default: Value set by github_actions_runner Class)

Default value: `undef`

## Defined types

### <a name="github_actions_runner--instance"></a>`github_actions_runner::instance`

Configure and deploy actions runners instances

#### Parameters

The following parameters are available in the `github_actions_runner::instance` defined type:

* [`ensure`](#-github_actions_runner--instance--ensure)
* [`org_name`](#-github_actions_runner--instance--org_name)
* [`enterprise_name`](#-github_actions_runner--instance--enterprise_name)
* [`personal_access_token`](#-github_actions_runner--instance--personal_access_token)
* [`user`](#-github_actions_runner--instance--user)
* [`group`](#-github_actions_runner--instance--group)
* [`hostname`](#-github_actions_runner--instance--hostname)
* [`instance_name`](#-github_actions_runner--instance--instance_name)
* [`github_domain`](#-github_actions_runner--instance--github_domain)
* [`github_api`](#-github_actions_runner--instance--github_api)
* [`http_proxy`](#-github_actions_runner--instance--http_proxy)
* [`https_proxy`](#-github_actions_runner--instance--https_proxy)
* [`no_proxy`](#-github_actions_runner--instance--no_proxy)
* [`disable_update`](#-github_actions_runner--instance--disable_update)
* [`repo_name`](#-github_actions_runner--instance--repo_name)
* [`labels`](#-github_actions_runner--instance--labels)
* [`path`](#-github_actions_runner--instance--path)
* [`env`](#-github_actions_runner--instance--env)
* [`runner_group`](#-github_actions_runner--instance--runner_group)
* [`repo_token`](#-github_actions_runner--instance--repo_token)

##### <a name="-github_actions_runner--instance--ensure"></a>`ensure`

Data type: `Enum['present', 'absent']`

Determine if to add or remove the resource.

Default value: `'present'`

##### <a name="-github_actions_runner--instance--org_name"></a>`org_name`

Data type: `Optional[String[1]]`

org name for organization level runners. (Default: Value set by github_actions_runner Class)

Default value: `$github_actions_runner::org_name`

##### <a name="-github_actions_runner--instance--enterprise_name"></a>`enterprise_name`

Data type: `Optional[String[1]]`

enterprise name for global runners. (Default: Value set by github_actions_runner Class)

Default value: `$github_actions_runner::enterprise_name`

##### <a name="-github_actions_runner--instance--personal_access_token"></a>`personal_access_token`

Data type: `String[1]`

GitHub PAT with admin permission on the repositories or the origanization.(Default: Value set by github_actions_runner Class)

Default value: `$github_actions_runner::personal_access_token`

##### <a name="-github_actions_runner--instance--user"></a>`user`

Data type: `String[1]`

User to be used in Service and directories.(Default: Value set by github_actions_runner Class)

Default value: `$github_actions_runner::user`

##### <a name="-github_actions_runner--instance--group"></a>`group`

Data type: `String[1]`

Group to be used in Service and directories.(Default: Value set by github_actions_runner Class)

Default value: `$github_actions_runner::group`

##### <a name="-github_actions_runner--instance--hostname"></a>`hostname`

Data type: `String[1]`

actions runner name.

Default value: `$facts['networking']['hostname']`

##### <a name="-github_actions_runner--instance--instance_name"></a>`instance_name`

Data type: `String[1]`

The instance name as part of the instances Hash.

Default value: `$title`

##### <a name="-github_actions_runner--instance--github_domain"></a>`github_domain`

Data type: `String[1]`

domain for GitHub, needs to be adjusted for GitHub Enterprise

Default value: `$github_actions_runner::github_domain`

##### <a name="-github_actions_runner--instance--github_api"></a>`github_api`

Data type: `String[1]`

URL for the GitHub API

Default value: `$github_actions_runner::github_api`

##### <a name="-github_actions_runner--instance--http_proxy"></a>`http_proxy`

Data type: `Optional[String[1]]`

Proxy URL for HTTP traffic. More information at https://docs.github.com/en/actions/hosting-your-own-runners/using-a-proxy-server-with-self-hosted-runners.

Default value: `$github_actions_runner::http_proxy`

##### <a name="-github_actions_runner--instance--https_proxy"></a>`https_proxy`

Data type: `Optional[String[1]]`

Proxy URL for HTTPS traffic. More information at https://docs.github.com/en/actions/hosting-your-own-runners/using-a-proxy-server-with-self-hosted-runners

Default value: `$github_actions_runner::https_proxy`

##### <a name="-github_actions_runner--instance--no_proxy"></a>`no_proxy`

Data type: `Optional[String[1]]`

Comma separated list of hosts that should not use a proxy. More information at https://docs.github.com/en/actions/hosting-your-own-runners/using-a-proxy-server-with-self-hosted-runners

Default value: `$github_actions_runner::no_proxy`

##### <a name="-github_actions_runner--instance--disable_update"></a>`disable_update`

Data type: `Optional[Boolean]`

toggle for disabling automatic runner updates.

Default value: `$github_actions_runner::disable_update`

##### <a name="-github_actions_runner--instance--repo_name"></a>`repo_name`

Data type: `Optional[String[1]]`

actions runner repository name.

Default value: `undef`

##### <a name="-github_actions_runner--instance--labels"></a>`labels`

Data type: `Optional[Array[String[1]]]`

A list of costum lables to add to a runner.

Default value: `undef`

##### <a name="-github_actions_runner--instance--path"></a>`path`

Data type: `Optional[Array[String]]`

List of paths to be used as PATH env in the instance runner. If not defined, file ".path" will be kept as created by the runner scripts. (Default: Value set by github_actions_runner Class)

Default value: `$github_actions_runner::path`

##### <a name="-github_actions_runner--instance--env"></a>`env`

Data type: `Optional[Hash[String, String]]`

List of variables to be used as env variables in the instance runner. If not defined, file ".env" will be kept as created by the runner scripts. (Default: Value set by github_actions_runner Class)

Default value: `$github_actions_runner::env`

##### <a name="-github_actions_runner--instance--runner_group"></a>`runner_group`

Data type: `Optional[String[1]]`

The github runner group to add the runner to.

Default value: `undef`

##### <a name="-github_actions_runner--instance--repo_token"></a>`repo_token`

Data type: `Optional[Variant[Sensitive[String[1]],String[1]]]`

if set, the runner will be registed to a specific repo. repo_name is than required.

Default value: `undef`

